Welcome to AM-Notebook

Differences Lite/PRO

AM-Notebook is a multi-featured personal information manager that provides an easy and reliable way to save notes, formula supported spreadsheets, to do lists, tasks and contacts in a light weight tray icon tool.

Features Highlights:

  • Open notes and spreadsheets in different tabs
  • Notes with many text formatting features
  • Spreadsheets with functions and formulas
  • TODO list
  • Calendar
  • Encrypted notes
  • Clips and Templates
  • Address book
  • Alarm
  • Global search

The Freeware Edition is for personal use only while the PRO-Edition has more features, for example:

  • Network support
  • Different note locations
  • Organize notes in folders
  • Encrypted notes
  • Clips and Templates
  • Export functionality
  • Address book
  • Global search

More details can be found at the comparison chart.

Please visit our website for more information.


Tool Panel

Differences Lite/PRO

The tool panel on the left side contains four tabs (PRO Edition):

Note list

The note list contains all folders and notes of the currently opened note location. If an alternative note location is opened, then an additional info bar is displayed. Notes can be opened with a single click, to open a note in a new tab, simply press the Shift key will clicking a note. Notes and folders can be reorganized with drag-and-drop (the menu entry "Enable Drag&Drop" must be checked in the options menu in order to allow this feature).

If another tab is selected, you can select the note list with the shortcut F2.

Global Search

The global search allows you to find content in notes and spreadsheets, but not in encrypted notes. The shortcut Shift+F3 allows you to quickly jump to the search field, and Esc to go back to the note list.

Groups

The Group functionality allows you to store all opened tabs into a group which can be opened at a later time. To open a group of tabs, simply double-click the group.

Clips / Templates

The clip collection allows you to store common blocks of text and templates for quick repeated reuse. You can create clips manually with the New button, or you can save the selected text of a note as new clip.

To insert the contents of a clip into the note you are editing, simply double-click it or drag&drop it onto the spot where you want to insert it.

Clips can be renamed via the context menu and moved to other folders by drag&drop. To move a clip to a parent folder, simply drag it to the "folder-up" button in the toolbar.


Notes

Differences Lite/PRO

Each note is stored in a separate file and has lots of formatting possibilities to write clear and well designed notes.

The user interface is optimized to have all important formatting functions available via toolbar buttons or shortcuts. You can also insert predefined text snippets via shortcuts, either a user defined text or the current date).

A very efficient way to open three of your favorite notes is supported with the shortcuts F12, Ctrl+F12 and Ctrl+Shift+F12. These shortcuts can be configured in the program configuration.

Notes can be opened in different tabs, the fastest way to open a note in a new tab is pressing the Shift key while you click a note in the note list on the left side. Right click a tab to close a note.

Note locations and Network

Notes and tables can also be shared in a network, in the Options menu you can define new locations for notes. The notes location can be changed via the File menu or the toolbar button [image]. See also topic Note locations and Network.

Highlight URLs

URLs are highlighted automatically after entering the URL and pressing the space key, the enter key or the tabulator key afterwards. All URLs of a document can also be highlighted with Format + Highlight all URLs.

Highlighted URLs can be opened with Ctrl+Click or via the context menu.

Links to other notes and Hyperlinks

Links to other notes and hyperlinks can be entered with the shortcuts Ctrl+F7 and Ctrl+Shift+F7. These links are highlighted automatically and can be opened with a Ctrl+Click.

Bookmarks

You can place different bookmarks within a note and quickly jump to these bookmarks (via Shortcuts). See topic Bookmarks within notes for more information.


Spreadsheets

Differences Lite/PRO

AM-Notebook supports spreadsheets with simple formulas. A spreadsheet is a grid that organizes data into columns and rows. Each spreadsheet has a header where you can enter a description and the cells where you can enter strings, numbers and formulas.

Strings are automatically left aligned, numbers are automatically right aligned.

Each cell can have a simple formula which must start with the equal character "=".

Functions and Formulas:
  • =colsum
    Summarizes all numbers in a column from row 1 to that function. If you enter a second colsum function in a column, then the second colsum summarizes all numbers starting from the first colsum function to the second colsum function, and so on. This function can only be used exclusively and not within expressions. See screenshot below for an example.

  • =rowsum
    Summarizes all numbers of a row from column number 1 to that function. If you enter a second rowsum function in a row, then the second rowsum summarizes all numbers starting from the first rowsum function to the second rowsum function, and so on. This function can only be used exclusively and not within expressions.

  • Formulas (PRO-Edition only)
    With formulas you can calculate values by using other cells, constants and built-in functions. For example =A1+A2+B5 or =(A3+A4+ROUND(B5))/3. Formulas can contain cell references, constants and functions.

Operators in formulas:

+ | Addition
- | Subtraction
* | Multiplication
/ | Division
^ | Exponential (only positive numbers)
( | Open parenthesis
) | Close parenthesis
MOD | MOD operator

Functions in formulas:

SUM(StartCell:EndCell) | sum of all cell values in range, for example SUM(A5:B10)
AVG(StartCell:EndCell) | average of all cell values in range, for example SUM(B3:B10)
ABS(parameter) | absolute value
EXP(parameter) | exponential of value
ROUND(parameter) | rounds value
SQRT(parameter) | square root of value
SQR(parameter) | square of value
TRUNC(parameter) | truncates value

The cells in formulas are updated when you insert/delete rows and columns (for example, =B5+C5 will become =B6+C6 when you enter a line before row number 5).

Please note that cells in formulas are not updated when you move columns or rows via Drag&Drop!

Cell Ranges:

Cell ranges are identified by the top-left cell and the bottom-right cell, splitted by a':' and can be used in several functions (see table above), for example the SUM function.

Example:
=SUM(A5:B7)
A5:B7 specifies the range of cells from cell A5 to cell B7, exactly the cells A5+A6+A7+B5+B6+B7.

Examples and Screenshots:


Spell Check

Differences Lite/PRO

AM-Notebook uses the ISpell spell checker by Luzius Schneider. The spell checker options will automatically be enabled if ISpell is installed.

If ISpell isn't already installed on your system, you can download it directly from Luzius Schneider's site at http://www.luziusschneider.com/Speller/English/index.htm

If you run AM-Notebook on a Removable Drive or an USB-Stick, you cannot add words to the dictionary. See also Install on Removable Drive / USB-Stick.


Print notes

Differences Lite/PRO

Variables in the Header/Footer line:

Header and Footer for notes lines can be configured in "File + Page Setup" and may contain the following variables:
  • &p ... page number
  • &P ... count of pages
  • &d ... current date
  • &t ... current time
  • &n ... file name of the note
  • &fn ... folder + filename of the note


Note locations and Network

Differences Lite/PRO

(This feature is available in the PRO-Edition only).

Default location

AM-Notebook can open notes from different locations.

The default location which is selected automatically when you start AM-Notebook is:.

Windows NT/2000/XP:
  • C:\Documents and Settings\YOURNAME\Application Data\aignes\AM-Notebook\notes
Windows 9x:
  • C:\Windows\Profiles\_YOUR_USER_NAME_\Application Data\aignes\AM-Notebook\notes
  • or C:\Windows\Application Data\aignes\AM-Notebook\notes

File extensions:
  • .rvf ... Notes
  • .rvfenc ... Encrypted Notes
  • .tbl ... Spreadsheets

Additional note locations

In the Options menu you can define additional locations for notes. Notes can also be stored on a network drive and accessed from different users.

The locations can be changed in the file menu or the folder button [image] in the toolbar.

Notes are opened exclusively, that means that if another user has opened a note you cannot open it until he has closed it (for example by opening another note).

Release opened notes for other users in a network when moving AM-Notebook to tray:
If you minimize AM-Notebook (or move it to the system tray), opened notes are closed to make them editable to other users in a network. As soon as you restore AM-Notebook, the notes are re-opened (the restore process takes a bit longer in that case). This option makes only sense for network drives when you share notes with other users, in all other cases this option should not be turned on.


When are notes saved

Differences Lite/PRO

Notes and spreadsheets are saved automatically when:

  • Closing Tabs
  • Opening another note
  • Opening favorite notes with the shortcuts F12, Ctrl+F12, Ctrl+Shift+F12
  • AM-Notebook is minimized or moved to the system tray
  • Before starting the Backup/Restore command
  • Quitting AM-Notebook
  • Using the Save command in the File menu


Encrypted notes

Differences Lite/PRO

(This feature is available in the PRO-Edition only).

The PRO-Edition of AM-Notebook supports the encryption of notes.

Before opening an encrypted note you have to enter the password (which is not stored on your system or in your note). Remember that if you lose your password, you will be unable to retrieve the encrypted notes, not even the AM-Notebook author is able to extract encrypted notes.

For real security use passwords of at least 8 characters in length. It is better to choose a random combination of characters and digits. Passwords are case sensitive.

Hints:

  • If you work with password protected notes it's highly recommended to use BAK files. If an encrypted note (file) has physical damages it is not possible to decrypt it.
  • Encrypted notes cannot be searched with the global search feature.


Bookmarks within notes

Differences Lite/PRO

(This feature is available in the PRO-Edition only).

You can place different bookmarks within a note and quickly jump to these bookmarks.

Set Bookmarks

There are three quick-bookmarks which can be inserted with Ctrl+Shift+0 / Ctrl+Shift+9 / Ctrl+Shift+8. To jump to these bookmarks, you can use the shortcuts Ctrl+0, Ctrl+9 and Ctrl+8.

Goto Bookmarks

Further bookmarks can be inserted with Ctrl+Shift+M and accessed with Ctrl+M. If you insert a new bookmark, the selected text is used as the bookmark name. If no text is selected, you have to enter the bookmark name manually.

Delete Bookmarks

To delete a bookmark, open the Bookmark list with Ctrl+M, select a bookmark and press the "Delete" button.

A double click on the bookmark list selects the bookmark in the note without closing the bookmark dialog.


Delete notes

Differences Lite/PRO

If notes are deleted from the file panel of AM-Notebook, then they are moved to an internal trash and deleted finally after 7 days. The Trash is located at:

Windows NT/2000/XP:
  • C:\Documents and Settings\YOURNAME\Application Data\aignes\AM-Notebook\trash
Windows 9x:
  • C:\Windows\Profiles\_YOUR_USER_NAME_\Application Data\aignes\AM-Notebook\trash
  • or C:\Windows\Application Data\aignes\AM-Notebook\trash

Documents can be restored with Windows Explorer.

If you use the PRO-Edition of AM-Notebook, you can create a new note location to view these notes directly in AM-Notebook.


Send note by email

Differences Lite/PRO

Notes and Spreadsheets can be sent by email via File + Email note.

Notes and Spreadsheets are converted to the HTML format and added as ZIP attachment to a new mail in your Email client, AM-Notebook itself doesn't send mails.

Notes/Spreadsheets are inserted to your Email client via the MAPI functionality. If your Email client doesn't support that interface, then you cannot use this feature.


TODO

The TODO list functionality provides an easy way to organize your tasks.

Each task can be assigned to a group. To create a group, simply fill out the group field with a new group name. As soon as all tasks to a specific group are deleted, the group is removed, too.

The priority and the completion fields show the status of your task.

The due date field and the reminder are available in the PRO edition only. Overdue tasks are displayed in red, so you will see them easily.

How to add new tasks

New tasks can be added via the New button or via the Input line.

The Input line provides a quick and easy solution to enter new tasks if you don't need all fields (such as the reminder) for new tasks. The Input line can be selected with Ctrl+I, pressing the Enter key will add a new task with the entered text.

How to edit tasks

There are two methods for editing tasks:

  1. Full edit via double click
    This will open the tasks dialog.

  2. Quick edit via F2
    Select a cell and press F2 to edit a field.

A task can be finished by clicking the check box in the list.

Useful shortcuts:

Ctrl+N | Add new task
Ctrl+I | Select Input line
Enter | Edit task
F2 | Edit selected cell
F5 | Reload list
Ctrl+Enter or Alt+Click onto row | Display only rows with the same group / Remove selected group filter
+/- | Increase/decrease completion


Calendar

AM-Notebook provides a simple yet powerful calendar functionality for single or recurring tasks.

How to quickly add tasks in the day/week view?

  1. Select the time frame for the new task (click the mouse and move up or down)
  2. Right click the selection
  3. Select "New" from the context menu
  4. This will auto fill the start/end time in the task dialog for the new task

How to edit tasks

There are two ways to change existing tasks:

  • Double click a task to open the task dialog.
  • Move or re-size an existing task via Drag&Drop.

Select tabs with shortcuts

The tabs can be selected with the shortcuts Alt+1 - Alt+5.
Ctrl+Tab selects the next tab.

Reminder

The PRO edition also allows you to configure reminders at event start or pre-reminders.


Contacts

AM-Notebook contains a simple address book to save your contacts.

Each contact can have up to five birthdays. For each birthday you have to enter a name and the birthday. The PRO edition offers a birthday reminder, you can be notified at the birthday and/or a specified number of days before.


Program settings

Differences Lite/PRO

Daily Auto-Backup

If the Auto-Backup option is enabled, then AM-Notebook will automatically backup all notes, todos, configurations, etc. into the specified directory. The Auto-Backup functionality is performed once a day.

The backups can be restored with the integrated Restore functionality (Tools menu).

Automatic URL detection

URLs are highlighted automatically after entering the URL and pressing the space key, the enter key or the tabulator key afterwards. All URLs of a document can also be highlighted with Format + Highlight all URLs.

Highlighted URLs can be opened with Ctrl+Click or via the context menu.

If the option "Double click opens URL" is enabled, then it's not possible to display a message box before the URL is opened.

Favorite notes

You can define three notes in the root folder which can be accessed quickly with the shortcuts F12, Ctrl+F12 and Ctrl+Shift+F12.

Styles

It's possible to pre-define different font styles which can be easily applied to a text selection. (menu "Styles + Apply Style" or via the context menu.

Date/Time format

The specified date/time format is used when inserting the date/time with the shortcuts Ctrl+D and Ctrl+T. This date/time format is also used for the variables %date% and %time% which can be used in the user defined strings (see below).

User defined strings

You can specify five user defined strings (templates) which can be inserted with the shortcuts Ctrl+1 ... Ctrl+5. These strings can contain the %date% and %time% variables and \n for line breaks.


Tweaks

The Tweak section allows you to fine tune AM-Notebook, enabling special features or workarounds. The Tweak section uses the format of ini files. Changes in the Tweak section require a restart of AM-Notebook to take effect.

Sections and Tweaks:

[Note]

  • BakFiles=nnn
    Defines how many bak files should be created for notes. Default value is 3, valid values are 0-3. Please note that existing bak files are not deleted automatically if you decrease this number.

Example:

[Note]
BakFiles=2


Backup / Restore

The integrated backup feature lets you backup and restore your program configuration and all notes of the currently opened notes location to a ZIP file.

The filename of the backup file is suggested automatically and can be overridden before you start the backup.

An existing backup file can only be overwritten, if it is a valid backup file of the currently opened folder location, otherwise you will get an error message and you have to change the name of the backup file. AM-Notebook will not overwrite any other zip file.


Install on Removable Drive / USB-Stick

Run the setup package and select "Install as portable application onto your USB-Stick" during the setup wizard. You can then use AM-Notebook on any computer without installing it on that computer.

All configurations and notes will be saved in the installation directory and AM-Notebook will not leave any traces on the host computer.

Please note, that only the program files are installed with that feature, not the program configuration or the notes. Configurations and notes must be copied manually.

Limitations of the portable version:

  1. It's not possible to create Desktop icons from the Options menu

  2. The spelling check works only if the dictionaries are installed on the host computer. Furthermore it's not possible to add new words to the dictionary

  3. And last but not least, the Portable version of AM-Notebook does not have a Trial version of the PRO-Edition. If you don't enter a valid license key, you will automatically fall back to the Freeware Edition.

How to enter the license key in the Portable version

Click on "TRY AM-Notebook PRO" in the main menu bar, this will open a dialog where you can find the button "Enter License Key". Click that button to enter the license key.

If you got a .key file after ordering AM-Notebook, then copy the file notebook1.key into the installation directory and start AM-Notebook.


Command line

Usage:

notebook.exe [options]

Options

/minimize | Start AM-Notebook minimized
/note="..." | Open the specified note. The quotes must include the absolute path + filename of the note. Notes have the file extension .rfv and tables .tbl This parameter is available in the Pro-Edition only.
/notedir="..." | Open the specified note location. The quotes must include the absolute path to the note location. This parameter is available in the Pro-Edition only.

Examples:

notebook.exe /minimize

notebook.exe /notedir="x:\mynotes" /note="x:\mynotes\todo.rfv"


Differences Lite/Pro Edition

Main differences between AM-Notebook Lite and AM-Notebook PRO:

General | Lite | PRO
Tab support | yes | yes
Organize notes in folders | - | yes
Different note locations / Network support | - | yes
Reopen last tabs | - | yes
Save (Reopen) tabs as group | - | yes
Send by mail | - | yes
Removable Drive / USB-Stick Support | yes | yes
Notes |  |
Full formatting (Fonts, Paragraphs, Colors, etc.) | yes | yes
Embedded tables | yes | yes
Spell Check | yes | yes
Bookmarks within notes | - | yes
Apply predefined styles | - | yes
Clips / Templates | - | yes
Encrypt notes | - | yes
Paste clipboard as new note | - | yes
Sort selection ascending/descending | - | yes
Global Search | - | yes
References between notes | - | yes
Print notes | yes | yes
Export notes to RTF / HTML | - | yes
Spreadsheets |  |
Format Cells | yes | yes
Calculate column/row sums | yes | yes
Calculate advanced expressions (eg: SUM(A3:B4)+B7) | - | yes
Print spreadsheets | yes | yes
Export spreadsheets to HTML | - | yes
TODO |  |
TODO list | yes | yes
Due date / Overdue warnings | - | yes
Reminder | - | yes
Calendar |  |
Calendar functionality | yes | yes
Recurring tasks | yes | yes
Remind at event start | - | yes
Remind before event start | - | yes
Contacts |  |
Address list | yes | yes
Birthday reminder | - | yes
Additional Tools |  |
AM-Notebook Today | yes | yes
Smart reminder for "AM-Notebook Today" | - | yes
Alarm Feature | yes | yes
Define external tools within AM-Notebook | - | yes
Backup/Restore | yes | yes
License | Freeware for personal use | Must be purchased


Order PRO Version

AM-Notebook PRO is a try-before-you-buy software.

That means you can evaluate AM-Notebook PRO for a period of 30 days without any charges. If you want to use AM-Notebook PRO after this trial period you have to order a copy.

Go to http://www.aignes.com/notebook.htm for more information!

AM-Notebook Lite is Freeware for personal use only while AM-Notebook PRO is for all other cases. AM-Notebook PRO has more features than the Lite version, for example:

  • Network support
  • Different note locations
  • Folder support
  • Encrypted notes
  • Address book
  • Global search


License Agreement

Terms of License for the software product AM-Notebook (in the following called "SOFTWARE PRODUCT")

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Aignesberger Software GmbH. Please pay attention to the following notes before you start using this software. If you do not agree with the following, do not use the SOFTWARE PRODUCT and remove it from your system.

The SOFTWARE PRODUCT is licensed, not sold. There is a Lite edition for personal use only, and a PRO edition for all other cases. The PRO edition has more features which are not available in the Lite edition.

1. License Agreement

The PRO edition of the SOFTWARE PRODUCT is a try-before-you-buy software. You are allowed to test this software intensively for a period of 30 days. To use the software after that period legally you need to register. The price for the registered version can be obtained in the actually valid price list, which is available at the website explained above. By using the software beyond the test period you infringe international copyright terms!

The licensed version of the PRO edition of the SOFTWARE PRODUCT (single user license) can be installed by the licensee on as many computers he wants, as long as the SOFTWARE PRODUCT is only used by one single person. The use of the software by different users needs additional licenses.

The Lite edition has a limited feature set and is freeware for personal use only. For all other cases the PRO edition must be used.

2. Reproduction and Distribution

The SOFTWARE PRODUCT unregistered version may be freely distributed, provided the distribution package is not modified. The SOFTWARE PRODUCT and the attached documentation can not be distributed together with commercial software. For this you need to be authorized by the manufacturer.
No person or company may charge a fee for the distribution of the SOFTWARE PRODUCT without written permission of the author. The SOFTWARE PRODUCT may not be sold or be included in a product or package.

3. Other Rights and Limitations

Limitations on Reverse Engineering, Decompilation, and Disassembly: You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components: The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Software Transfer: You may not permanently transfer all of your rights under this End-User License Agreement.

Termination: Without prejudice to any other rights, the Author of this Software may terminate this End-User License Agreement if you fail to comply with the terms and conditions of this End-User License Agreement. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

4. Copyright

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

5. No Warranties

The Author of the SOFTWARE PRODUCT expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "AS IS" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.
No Liability for Damages: In no event shall the author of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of the SOFTWARE PRODUCT has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

6. Other Provisions

The license agreement for this software may be modified if necessary. Therefore the license agreement under which the software has been delivered will be applied. Should one or more provisions of this agreement be or become invalid, all other license agreements and provisions remain valid. Invalid provisions have to be replaced by others which are equal for the economical contents. The latest revision of this document can be found at www.aignes.com. All mentioned trademarks and copyrights are property of the relative owner. Court of jurisdiction is Landesgericht Wels, Austria.


Thanks

Thanks to everyone who helped developing AM-Notebook by reporting errors and giving constructive feedback.

A special thanks to all honest users who support the development of AM-Notebook by registering a copy!

Thanks to all Translators!

Acknowledgements

AM-Notebook uses several third party components, some of them are written by:

Jordan Russel (Toolbar 2000 and InnoSetup)
Alex A. Denisov (TBX)
Vladimir Bochkarev(TBX Patches)
Mike Lischke (VirtualTreeView)
David Baldwin (THtmlViewer)